import { DragDropManager, Backend, BeginDragOptions, HoverOptions } from 'dnd-core';
export interface TestBackend {
    didCallSetup: boolean;
    didCallTeardown: boolean;
    simulateBeginDrag(sourceIds: string[], options?: any): void;
    simulatePublishDragSource(): void;
    simulateHover(targetIds: string[], options?: any): void;
    simulateDrop(): void;
    simulateEndDrag(): void;
}
export default class TestBackendImpl implements Backend, TestBackend {
    didCallSetup: boolean;
    didCallTeardown: boolean;
    private actions;
    constructor(manager: DragDropManager<{}>);
    setup(): void;
    teardown(): void;
    connectDragSource(): any;
    connectDragPreview(): any;
    connectDropTarget(): any;
    simulateBeginDrag(sourceIds: string[], options: BeginDragOptions): void;
    simulatePublishDragSource(): void;
    simulateHover(targetIds: string[], options: HoverOptions): void;
    simulateDrop(): void;
    simulateEndDrag(): void;
}
